Subject: Re: bug#30937: In `comment-region', C-g doesn't work.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Mar 2018 21:08:51 +0300

> Date: Sun, 25 Mar 2018 17:15:10 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > In both cases, C-g should trigger a SIGINT, so Emacs should be even
> > more responsive to C-g than on X.
> 
> For what it's worth, quit-flag is getting set on a C-g (I hacked up my
> own quit mechanism to test this).  It would appear that nothing is
> testing quit-flag during the comment-region.

comment-region doesn't need to test that explicitly, it is tested in
many underlying primitives.  Moreover, on a TTY, C-g triggers a
SIGINT, which should cause a throw to top-level even if quit-flag is
not tested, just because it's a signal.

Can you see if SIGINT is delivered to Emacs when you type C-g on that
console?